
out vec3 albedoData; 

/* DRAWBUFFERS:6 */

uniform sampler2D tex;      
uniform float     frameTimeCounter;
uniform float     viewWidth;
uniform float     viewHeight;

in vec2 texcoord;
in vec4 glcolor;

#include "/Settings.glsl" 

void main() {
    vec2 uv = texcoord;
    float t = frameTimeCounter * 0.02;

    vec3 glint = texture2D(tex, fract(uv * 2.1 + t * vec2(0.1, 0.4))).rgb;
    glint += texture2D(tex, fract(uv * 2.0 - t * vec2(0.5, 0.7))).rgb * 0.4;

   albedoData = glint * vec3(0.4, 0.8, 0.6);
}